#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.Date where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Date = Date (ManagedPtr Date)
instance BoxedObject Date where
#if ENABLE_OVERLOADING
data DateAddDaysMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateAddMonthsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateAddYearsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateClampMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateCompareMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateDaysBetweenMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetDayMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetDayOfYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetIso8601WeekOfYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetJulianMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetMondayWeekOfYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetMonthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetSundayWeekOfYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetWeekdayMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateGetYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateIsFirstOfMonthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateIsLastOfMonthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetDayMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetDmyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetJulianMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetMonthMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetParseMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetTimeTMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetTimeValMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSetYearMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSubtractDaysMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSubtractMonthsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateSubtractYearsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateToStructTmMethodInfo
#endif
#if ENABLE_OVERLOADING
data DateValidMethodInfo
#endif
