#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.BookmarkFile where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype BookmarkFile = BookmarkFile (ManagedPtr BookmarkFile)
instance WrappedPtr BookmarkFile where
#if ENABLE_OVERLOADING
data BookmarkFileAddApplicationMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileAddGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetAddedMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetAppInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetApplicationsMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetGroupsMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetIsPrivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetMimeTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetModifiedMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetUrisMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileGetVisitedMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileHasApplicationMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileHasGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileHasItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileLoadFromDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileLoadFromDataDirsMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileLoadFromFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileMoveItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileRemoveApplicationMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileRemoveGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileRemoveItemMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetAddedMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetAppInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetGroupsMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetIsPrivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetMimeTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetModifiedMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetTitleMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileSetVisitedMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileToDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data BookmarkFileToFileMethodInfo
#endif
