#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.MainContext where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype MainContext = MainContext (ManagedPtr MainContext)
instance BoxedObject MainContext where
#if ENABLE_OVERLOADING
data MainContextAcquireMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextAddPollMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextCheckMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextDispatchMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextFindSourceByFuncsUserDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextFindSourceByIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextFindSourceByUserDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextInvokeFullMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextIsOwnerMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextIterationMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextPopThreadDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextPrepareMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextPushThreadDefaultMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextQueryMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextReleaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextRemovePollMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextUnrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextWaitMethodInfo
#endif
#if ENABLE_OVERLOADING
data MainContextWakeupMethodInfo
#endif
