#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.Scanner where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Scanner = Scanner (ManagedPtr Scanner)
instance WrappedPtr Scanner where
#if ENABLE_OVERLOADING
data ScannerCurLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerCurPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerCurTokenMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerDestroyMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerEofMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerGetNextTokenMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerInputFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerInputTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerLookupSymbolMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerPeekNextTokenMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerScopeAddSymbolMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerScopeLookupSymbolMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerScopeRemoveSymbolMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerSetScopeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerSyncFileOffsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data ScannerUnexpTokenMethodInfo
#endif
